Summary:	XFree86 Cursor font in Type1 format
Summary(pl.UTF-8):	Font XFree86 Cursor w formacie Type1
Name:		xorg-font-font-xfree86-type1
Version:	1.0.5
Release:	1
License:	MIT
Group:		Fonts
Source0:	https://xorg.freedesktop.org/releases/individual/font/font-xfree86-type1-%{version}.tar.xz
# Source0-md5:	3b47fed2c032af3a32aad9acc1d25150
URL:		https://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	fontconfig
BuildRequires:	pkgconfig >= 1:0.9.0
BuildRequires:	t1utils
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-app-mkfontdir
BuildRequires:	xorg-app-mkfontscale
BuildRequires:	xorg-font-font-util >= 1.2
BuildRequires:	xorg-util-util-macros >= 1.20
BuildRequires:	xz
Requires(post,postun):	fontpostinst
Requires:	%{_fontsdir}/Type1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XFree86 Cursor font in Type1 format.

%description -l pl.UTF-8
Font XFree86 Cursor w formacie Type1.

%prep
%setup -q -n font-xfree86-type1-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
%if "%{_gnu}" != "-gnux32"
	--build=%{_host} \
	--host=%{_host} \
%endif
	--with-fontdir=%{_fontsdir}/Type1

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# convert *.pfa to .pfb
cd $RPM_BUILD_ROOT%{_fontsdir}/Type1
t1binary cursor.pfa cursor.pfb
%{__rm} cursor.pfa
sed -e '1d;s/\.pfa /.pfb /' fonts.scale > fonts.scale.xfree86
%{__rm} fonts.scale fonts.dir

cat > Fontmap.xfree86 <<EOF
/Cursor                                  (cursor.pfb)   ;
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
fontpostinst Type1

%postun
fontpostinst Type1

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README.md
%{_fontsdir}/Type1/cursor.pfb
%{_fontsdir}/Type1/fonts.scale.xfree86
%{_fontsdir}/Type1/Fontmap.xfree86
%changelog
* Fri Mar 03 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-font-font-xfree86-type1.git;a=log;h=master

* Thu Mar 02 2023 Jakub Bogusz <qboosh@pld-linux.org> 5b204cd
- updated to 1.0.5

* Sun Oct 07 2012 Elan Ruusamäe <glen@delfi.ee> bed73e5
- release 2 (by relup.sh)

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 97a0f25
- dropped pre-cvs changelog

* Wed Nov 17 2010 Jakub Bogusz <qboosh@pld-linux.org> 453a481
- updated to 1.0.4

* Thu Oct 07 2010 Jakub Bogusz <qboosh@pld-linux.org> 3737cb5
- updated to 1.0.3

* Tue Oct 20 2009 Jakub Bogusz <qboosh@pld-linux.org> adc9c08
- --build/--host compatible with rpm both 4.4/4.5
- util-macros version, BR: font-util
- added README to doc

* Mon Oct 12 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 2bf2901
- up to 1.0.2

* Fri Mar 07 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 183da2f
- up to 1.0.1

* Sun Oct 21 2007 Marcin Banasiak <marcin.banasiak@gmail.com> 149d23a
- BA: noarch
- release 2

* Sun Apr 01 2007 Jakub Bogusz <qboosh@pld-linux.org> 709a2f0
- informative descs
- create .Fontmap file
- release 1

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 0eded23
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 7ea15a0
- converted to UTF-8

* Wed Jan 04 2006 Jakub Bogusz <qboosh@pld-linux.org> 5df94f3
- 1.0.0 (X11R7.0 release)

* Tue Dec 06 2005 Jakub Bogusz <qboosh@pld-linux.org> b0872b9
- 0.99.1 (X11R7.0-RC3)
- use system fonts infrastructure

* Sat Oct 22 2005 Jakub Bogusz <qboosh@pld-linux.org> 0942fbb
- pkgconfig epoch

* Sat Aug 27 2005 Jakub Bogusz <qboosh@pld-linux.org> 3138ccf
- cleanups, better Group; TODO: use PLD fonts infrastructure

* Sat Aug 27 2005 Artur Frysiak <artur@frysiak.net> 7040a1a
- s/pkg-config/pkgconfig/ in BR:

* Mon Aug 15 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> 5baf753
- modular xorg specs

